> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Recent Agent Picking Details

GET https://agentverse.ai/v1/search/agents/asi1-pick-details/recent

Returns recent ASI1 picking details ordered by timestamp asc

Reference: https://docs.agentverse.ai/v-1/api-reference/search/get-recent-agent-picking-details

## Request

### Query parameters

- `address` (string, optional) — The address of the agent for which we want to retrieve picking details
- `type` (enum, optional) — The type of picking details we want to retrieve (by default both `asi1` and `pick_only` interactions are retrieved)
  - Allowed values: `asi1`, `pick_only`
- `offset` (integer, optional, default: 0) — The offset of the picking details to retrieve (0 by default)
- `limit` (integer, optional, default: 30) — The limit of the picking details to retrieve (30 by default)

## Response

### 200

Successful Response

- `picking_details` (list of AgentASI1PickingDetails, required) — Details of agent picking
- `total` (integer, required) — The total number of picks

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentASI1PickingDetails

- `address` (string, required) — The address of the agent
- `id` (string, required) — id generated for saving picking details
- `user_query` (string, required) — initial user query
- `queries` (list of string, required) — all search queries
- `queries_matched` (list of string, required) — search queries based on what the agent was picked
- `success` (boolean, required) — denotes if agent was picked by ASI1
- `type` (enum, required) — denotes if the picking details come from an actual ASI1 session ('asi1') or from a pick_only session ('pick_only')
  - Allowed values: `asi1`, `pick_only`
- `timestamp` (string, required) — timestamp when picking happened
- `contract` (enum, optional) — The Almanac contract where the agent is registered
  - Allowed values: `mainnet`, `testnet`
- `reasoning` (string, optional, default: ) — the reason why the agent was finally picked

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "picking_details": [
    {
      "address": "foo",
      "id": "foo",
      "user_query": "foo",
      "queries": [
        "foo"
      ],
      "queries_matched": [
        "foo"
      ],
      "success": true,
      "type": "asi1",
      "timestamp": "foo",
      "contract": "mainnet",
      "reasoning": ""
    }
  ],
  "total": 42
}
```

**SDK Code**

```python getRecentAgentPickingDetailsExample
import requests

url = "https://agentverse.ai/v1/search/agents/asi1-pick-details/recent"

response = requests.get(url)

print(response.json())
```

```javascript getRecentAgentPickingDetailsExample
const url = 'https://agentverse.ai/v1/search/agents/asi1-pick-details/recent';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getRecentAgentPickingDetailsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/search/agents/asi1-pick-details/recent"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getRecentAgentPickingDetailsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/search/agents/asi1-pick-details/recent")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getRecentAgentPickingDetailsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/search/agents/asi1-pick-details/recent")
  .asString();
```

```php getRecentAgentPickingDetailsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/search/agents/asi1-pick-details/recent');

echo $response->getBody();
```

```csharp getRecentAgentPickingDetailsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/search/agents/asi1-pick-details/recent");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getRecentAgentPickingDetailsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/agents/asi1-pick-details/recent")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```